Package org.sunflow.system

# Class Parser

java.lang.Object
org.sunflow.system.Parser

public class Parser extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Parser.ParserException`

## Constructor Summary

Constructors
Constructor
Description
`Parser(String filename)`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkNextToken(String token)`
`void`
`close()`
`boolean`
`getNextBoolean()`
`String`
`getNextCodeBlock()`
`float`
`getNextFloat()`
`int`
`getNextInt()`
`String`
`getNextToken()`
`boolean`
`peekNextToken(String tok)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Parser

public Parser(String filename) throws FileNotFoundException

Throws:
  `FileNotFoundException`

## Method Details

### close

public void close() throws IOException

Throws:
  `IOException`

### getNextToken

public String getNextToken() throws IOException

Throws:
  `IOException`

### peekNextToken

public boolean peekNextToken(String tok) throws IOException

Throws:
  `IOException`

### getNextCodeBlock

public String getNextCodeBlock() throws Parser.ParserException, IOException

Throws:
  `Parser.ParserException`
  `IOException`

### getNextBoolean

public boolean getNextBoolean() throws IOException

Throws:
  `IOException`

### getNextInt

public int getNextInt() throws IOException

Throws:
  `IOException`

### getNextFloat

public float getNextFloat() throws IOException

Throws:
  `IOException`

### checkNextToken

public void checkNextToken(String token) throws Parser.ParserException, IOException

Throws:
  `Parser.ParserException`
  `IOException`